Zum Inhalt springen
meniodevelopermenio DashboardVorschau

POST baskets/{basketId}/grant · POS API

POST baskets/{basketId}/grant

POS API v3baskets
POST/baskets/{basketId}/grant?redeemedInPos={redeemedInPos}

Only after marking a baskets as 'granted' does the menio system consider the rewards as legitimate and write them the consumer good. Exactly those Rewards are marked as 'granted' that have been paid during the last POST baskets/{basketId}-Call for the basket with the specified basketId were determined and returned.

Enter the value 'true' for the 'redeemedInPos' parameter if your system charges the menio discounts directly at the current dealer.

Parameter

basketIdstringErforderlich

Enter the ID of the basket you want to mark as closed

Beispiel: 1234567890
redeemedInPosboolErforderlich

Use true if your system charges the menio rebates directly from the current dealer.

Beispiel: true

Request-Header

DevKey
{Your Key}
TrackingUnitId
{trackingUnitId}
Originaler Blueprint-Ausschnitt
API Blueprint
### POST baskets/{basketId}/grant [POST]
Only after marking a baskets as 'granted' does the qnips system consider the rewards as legitimate and write them
the consumer good. Exactly those Rewards are marked as 'granted' that have been paid during the last
*[POST baskets/{basketId}](#reference/baskets/basket-hochladen/post-baskets%2F%7Bbasketid%7D%3Fconsumeridenttoken%3D%7Btoken1%7D%26giftcardid%3D%7Btoken2%7D)*-Call for the basket with the specified
basketId were determined and returned. 

Enter the value 'true' for the 'redeemedInPos' parameter if your system charges the qnips discounts directly at the current dealer.

+ Parameters
    + basketId (string, `1234567890`) ... Enter the ID of the basket you want to mark as closed
    + redeemedInPos (bool, `true` ) ... Use **true** if your system charges the qnips rebates directly from the current dealer.

+ Request

    + Headers

            DevKey: {Your Key}
            TrackingUnitId: {trackingUnitId}

+ response 200

+ response 500

        // HTTP-InternalServerError: An unknown problem occurred during processing

+ Response 401

        // HTTP-Unauthorized: DevKey or trackingUnitId not specified or not available

+ response 403

        // HTTP-Forbidden: trackingUnitId is not yet activated by the merchant
            
+ response 400

        {
            "ErrorId":12000,
            "ErrorText": "Details of the error"
        }
        
        // here all possible error codes incl. texts for this resource
        // 11001: basketId unknown